﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSpreadSheetFeatures
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamSpreadsheet_Loaded(object sender, RoutedEventArgs e)
        {
            xamSpreadSheet1.Workbook = Workbook.Load(@"../../MyExcel.xlsx");
        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            xamSpreadSheet1.Workbook.Save("File.xlsx");
            Process.Start("File.xlsx");
        }

        private void SetFormat_Click(object sender, RoutedEventArgs e)
        {
            xamSpreadSheet1.ActiveWorksheet.Columns[3].CellFormat.FormatString = "\"$\"##0.00000;[red](\"$\"##0.00000)";
            xamSpreadSheet1.ActiveWorksheet.Columns[5].CellFormat.FormatString = "\"$\"##,##0.00;[red](\"$\"##,##0.00)";
        }
    }
}
